function OnModPreInit()
	print('Mod - OnModPreInit()') -- first this is called for all mods
end
-- test
function OnModInit()
	print('Mod - OnModInit()') -- after that this is called for all mods
end

function OnModPostInit()
	print('Mod - OnModPostInit()') -- then this is called for all mods
end

function OnWorldPreUpdate() -- this is called every time the game is about to start updating the world
	--GamePrint( "Pre-update hook " .. tostring(GameGetFrameNum()) )
end

function OnWorldPostUpdate() -- this is called every time the game has finished updating the world
	--GamePrint( "Post-update hook " .. tostring(GameGetFrameNum()) )
end


function OnPlayerSpawned( player_entity ) -- this 
	local x, y = EntityGetTransform( player_entity )

	EntityLoad("mods/risk_of_drones/files/dronemod/evaisa/spells/entities/summon/summon_basic.xml", x, y)
end
 
--ModLuaFileAppend( "data/scripts/gun/gun_actions.lua", "mods/risk_of_drones/files/dronemod/evaactions.lua")
ModLuaFileAppend( "data/scripts/biome_scripts.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biome_scripts.lua")
ModLuaFileAppend( "data/scripts/biomes/coalmine.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_coal.lua")
ModLuaFileAppend( "data/scripts/biomes/coalmine_alt.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_coal.lua")
ModLuaFileAppend( "data/scripts/biomes/excavationsite.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_coal2.lua")
ModLuaFileAppend( "data/scripts/biomes/crypt.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/fungicave.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/pyramid.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/pyramid_enterance.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/pyramid_left.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/pyramid_right.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/rainforest.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/snowcastle.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_ice2.lua")
ModLuaFileAppend( "data/scripts/biomes/snowcave.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_ice.lua")
ModLuaFileAppend( "data/scripts/biomes/temple_shared.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/town.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/vault.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/vault_enterance.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/tower.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")
ModLuaFileAppend( "data/scripts/biomes/tower.lua", "mods/risk_of_drones/files/dronemod/evaisa/spells/scripts/biomescripts/replace_props_all.lua")